Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSliceCubes Class Reference

`#include <vtkSliceCubes.h>`

Inheritance diagram for vtkSliceCubes:

[legend]
Collaboration diagram for vtkSliceCubes:

[legend]
List of all members.

## Detailed Description

generate isosurface(s) from volume four slices at a time

Date:
  2002/05/16 17:08:13

Revision:
  1.37

vtkSliceCubes is a special version of the marching cubes filter. Instead of ingesting an entire volume at once it processes only four slices at a time. This way, it can generate isosurfaces from huge volumes. Also, the output of this object is written to a marching cubes triangle file. That way, output triangles do not need to be held in memory.

To use vtkSliceCubes you must specify an instance of vtkVolumeReader to read the data. Set this object up with the proper file prefix, image range, data origin, data dimensions, header size, data mask, and swap bytes flag. The vtkSliceCubes object will then take over and read slices as necessary. You also will need to specify the name of an output marching cubes triangle file.

Warning:
  This process object is both a source and mapper (i.e., it reads and writes data to a file). This is different than the other marching cubes objects (and most process objects in the system). It's specialized to handle very large data.

Warning:
  This object only extracts a single isosurface. This compares with the other contouring objects in vtk that generate multiple surfaces.

Warning:
  To read the output file use vtkMCubesReader.

See also:
  vtkMarchingCubes vtkContourFilter vtkMCubesReader vtkDividingCubes vtkVolumeReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (65%)
  - Lorensen, Bill (12%)
  - Martin, Ken (12%)

CVS logs (CVSweb):
  - .`h` (`/Patented/vtkSliceCubes.h)`
  - .`cxx` (`/Patented/vtkSliceCubes.cxx)`

Tests:
  vtkSliceCubes (Tests)

Definition at line 89 of file vtkSliceCubes.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Write ()
void | Update ()
virtual void | SetReader (vtkVolumeReader *)
virtual vtkVolumeReader * | GetReader ()
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
virtual void | SetValue (float)
virtual float | GetValue ()
virtual void | SetLimitsFileName (const char *)
virtual char * | GetLimitsFileName ()
## Static Public Methods
vtkSliceCubes * | New ()
int | IsTypeOf (const char *type)
vtkSliceCubes * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkSliceCubes ()
| ~vtkSliceCubes ()
void | Execute ()
## Protected Attributes
vtkVolumeReader * | Reader
char * | FileName
float | Value
char * | LimitsFileName

## Member Typedef Documentation

typedef vtkObject vtkSliceCubes::Superclass

| Reimplemented from vtkObject. Definition at line 93 of file vtkSliceCubes.h.

## Constructor & Destructor Documentation

vtkSliceCubes::vtkSliceCubes | ( |  | ) | `[protected]`

vtkSliceCubes::~vtkSliceCubes | ( |  | ) | `[protected]`

## Member Function Documentation

vtkSliceCubes* vtkSliceCubes::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkSliceCubes::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkSliceCubes::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkSliceCubes::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkSliceCubes* vtkSliceCubes::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkSliceCubes::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

void vtkSliceCubes::Write | ( |  | ) | `[inline]`

| Definition at line 97 of file vtkSliceCubes.h.

void vtkSliceCubes::Update | ( |  | ) |

virtual void vtkSliceCubes::SetReader | ( | vtkVolumeReader * |  | ) | `[virtual]`

| Set/get object to read slices.

virtual vtkVolumeReader* vtkSliceCubes::GetReader | ( |  | ) | `[virtual]`

| Set/get object to read slices.

virtual void vtkSliceCubes::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify file name of marching cubes output file.

virtual char* vtkSliceCubes::GetFileName | ( |  | ) | `[virtual]`

| Specify file name of marching cubes output file.

virtual void vtkSliceCubes::SetValue | ( | float |  | ) | `[virtual]`

| Set/get isosurface contour value.

virtual float vtkSliceCubes::GetValue | ( |  | ) | `[virtual]`

| Set/get isosurface contour value.

virtual void vtkSliceCubes::SetLimitsFileName | ( | const char * |  | ) | `[virtual]`

| Specify file name of marching cubes limits file. The limits file speeds up subsequent reading of output triangle file.

virtual char* vtkSliceCubes::GetLimitsFileName | ( |  | ) | `[virtual]`

| Specify file name of marching cubes limits file. The limits file speeds up subsequent reading of output triangle file.

void vtkSliceCubes::Execute | ( |  | ) | `[protected]`

## Member Data Documentation

vtkVolumeReader* vtkSliceCubes::Reader`[protected]`

| Definition at line 131 of file vtkSliceCubes.h.

char* vtkSliceCubes::FileName`[protected]`

| Definition at line 132 of file vtkSliceCubes.h.

float vtkSliceCubes::Value`[protected]`

| Definition at line 133 of file vtkSliceCubes.h.

char* vtkSliceCubes::LimitsFileName`[protected]`

| Definition at line 134 of file vtkSliceCubes.h.

The documentation for this class was generated from the following file:

- Patented/vtkSliceCubes.h